.\" Copyright (c) 1987, 1990, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"	This product includes software developed by the University of
.\"	California, Berkeley and its contributors.
.\" 4. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"	@(#)mesg.1	8.1 (Berkeley) 6/6/93
.\" $FreeBSD: src/usr.bin/mesg/mesg.1,v 1.2.2.3 1999/09/05 11:32:51 peter Exp $
.\"
.Dd June 6, 1993
.Dt MESG 1
.Os
.Sh NAME
.Nm mesg
.Nd display (do not display) messages from other users
.Sh SYNOPSIS
.Nm
.Op Cm n | Cm y
.Sh DESCRIPTION
The
.Nm
utility is invoked by a users to control write access others
have to the terminal device associated with the standard error
output.
Write access is allowed by default, and programs such as
.Xr talk 1
and
.Xr write 1
may display messages on the terminal.
.Pp
Options available:
.Bl -tag -width flag
.It Cm n
Disallows messages.
.It Cm y
Permits messages to be displayed.
.El
.Pp
If no arguments are given,
.Nm
displays the present message status to the standard error output.
.Pp
The
.Nm
utility exits with one of the following values:
.Bl -tag -width flag -compact -offset indent
.Pp
.It Li "\ 0"
Messages are allowed.
.It Li "\ 1"
Messages are not allowed.
.It Li ">1"
An error has occurred.
.El
.Sh FILES
.Bl -tag -width /dev/[pt]ty[pq]? -compact
.It Pa /dev/[pt]ty[pq]?
.El
.Sh SEE ALSO
.Xr biff 1 ,
.Xr talk 1 ,
.Xr write 1
.Sh HISTORY
A
.Nm
command appeared in
.At v1 .
